Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		librsvg
Version:	2.31.0
Release:	1
License:	GNU/LGPL
URL:		http://librsvg.sourceforge.net
Group:		System/Libraries
Summary:	librsvg enables support for SVG-format scalable graphics.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: gdk-pixbuf-devel
BuildRequires: pkg-config

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bzip2-devel
# cairo is a circular dependency : build cairo - librsvg - cairo to solve
BuildRequires: cairo-devel
BuildRequires: coreutils
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libcroco-devel
BuildRequires: libgsf-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel

%description
librsvg enables support for SVG-format scalable graphics.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig
mkdir -p %_sysconfdir/gtk-2.0
gdk-pixbuf-query-loaders > %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%postun
ldconfig
gdk-pixbuf-query-loaders > %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%prep
%setup -qn %{name}-%{version}

%build
%{_bindir}/gdk-pixbuf-query-loaders --update-cache
%configure \
	--disable-gtk-doc \
	--enable-gtk-theme \
	--enable-gnome-vfs \
	--disable-mozilla-plugin \
	--disable-pixbuf-loader
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/svg-viewer.svg

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/rsvg
%{_bindir}/rsvg-convert
%{_bindir}/rsvg-view
%{_libdir}/gtk-2.0/2.10.0/engines/libsvg.so
%{_libdir}/librsvg-2.so.*
%{_mandir}/man1/rsvg.1.gz
%{_datadir}/themes/bubble/gtk-2.0

%files devel
%defattr(-, root, root)
%{_includedir}/librsvg-2.0
%{_libdir}/gtk-2.0/2.10.0/engines/libsvg.a
%{_libdir}/gtk-2.0/2.10.0/engines/libsvg.la
%{_libdir}/librsvg-2.a
%{_libdir}/librsvg-2.la
%{_libdir}/librsvg-2.so
%{_pkgconfig}/librsvg-2.0.pc
%{_datadir}/gtk-doc/html/rsvg-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.31.0-1
- Version update
* Tue Aug 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.26.0-2
- rebuilt
- disabled mozilla plugin ( firefox itself is capable of handling svg )
* Wed Mar 25 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- initial CCux package release
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.18.1-1
- Version update
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update
* Wed Mar 15 2006 Christian Wasem <wasem@ccux-linux.de> 2.14.2-1
- Update to Version 2.14.2
* Mon Aug 29 2005 Christian Wasem <wasem@ccux-linux.de> 2.11.1-1
- update to Version 2.11.1
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 2.8.5-1
- update to Version 2.9.5
